Load Pulse (Warehouse Native)
curl --request POST \
--url https://statsigapi.net/console/v1/experiments/{id}/load_pulse \
--header 'Content-Type: application/json' \
--header 'STATSIG-API-KEY: <api-key>' \
--data '
{
"refresh": "full",
"metricIDs": [
"<string>"
],
"ruleId": "<string>",
"turboMode": true
}
'import requests
url = "https://statsigapi.net/console/v1/experiments/{id}/load_pulse"
payload = {
"refresh": "full",
"metricIDs": ["<string>"],
"ruleId": "<string>",
"turboMode": True
}
headers = {
"STATSIG-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'STATSIG-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({refresh: 'full', metricIDs: ['<string>'], ruleId: '<string>', turboMode: true})
};
fetch('https://statsigapi.net/console/v1/experiments/{id}/load_pulse', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Experiment is loading."
}{
"status": 400,
"message": "Invalid request. Please check the request input and try again."
}{
"status": 401,
"message": "This endpoint only accepts an active CONSOLE key, but an invalid key was sent. Key: console-xxxXXXxxxXXXxxx"
}Experiments (Warehouse Native)
Load Pulse (Warehouse Native)
POST
/
console
/
v1
/
experiments
/
{id}
/
load_pulse
Load Pulse (Warehouse Native)
Authorizations
Headers
Optional header to respect review settings for mutation endpoints.
Path Parameters
id
Query Parameters
Available options:
full, incremental, metric Body
application/json
Response
Load Pulse Success
⌘I

